---
title: StaticRange.StaticRange()
slug: Web/API/StaticRange/StaticRange
tags:
  - API
  - Constructor
  - DOM
  - DOM API
  - Range
  - Reference
  - StaticRange
---
<p>{{APIRef("DOM")}}</p>

<p><span class="seoSummary">The <strong><code>StaticRange()</code></strong> constructor creates a new {{domxref("StaticRange")}} object representing a span of content within the DOM.</span> It includes properties identifying the standard and end positions of the range as well as a Boolean indicating whether or not the range is <strong>collapsed</strong> (that is, empty).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>staticRange</em> = new StaticRange(<em>rangeSpec</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>rangeSpec</code></dt>
 <dd>
 <p>The required <code>rangeSpec</code> parameter is an object adhering to the {{domxref("StaticRangeInit")}} dictionary. The four required <code>rangeSpec</code> properties are:</p>

 <dl>
  <dt><code>startContainer</code></dt>
  <dd>The {{domxref("Node")}} in which the starting point of the range is located.</dd>
  <dt><code>startOffset</code></dt>
  <dd>The offset into the starting node at which the first character of the range is found.</dd>
  <dt><code>endContainer</code></dt>
  <dd>The <code>Node</code> in which the end point of the range is located.</dd>
  <dt><code>endOffset</code></dt>
  <dd>The offset into the node indicated by <code>endOffset</code> at which the last character in the range is located.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new <code>StaticRange</code> object initialized with the values given in the <code>rangeSpec</code> object.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>InvalidNodeTypeError</code></dt>
 <dd>A {{domxref("DOMException")}} fired if either or both of the <code>startContainer</code> and/or <code>endContainer</code> are a type of node which you can't include in a range. Those node types are <code>Node.DOCUMENT_TYPE_NODE</code> (representing the {{domxref("DocumentType")}} node derived from the {{Glossary("DTD")}} identified using the <code>doctype</code> preamble in the HTML, for example) and the {{domxref("Attr")}} node describing an attribute of an element on the DOM..</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG','#dom-staticrange-staticrange','StaticRange()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StaticRange.StaticRange")}}</p>
</div>
